Does Cubase 10.5 work with any version of MacOS 12 (Monterey)?

MacOS 12.5 (Monterey) is not working with Cubase 10.5. But earlier this year, I thought I was successfully working with an earlier version of OS 12. I want to downgrade my Mac OS to the most recent compatible version for Cubase 10.5. Does anyone know what version that is? Or do I have to revert to OS 11 Big Sur? Thanks!

Hi,

Why it doesn’t crash?

As far as I remember, the VST Connect component is crashing. Removing the component solves the issue (if this is the issue).